C     Last change:  DWD  23 Feb 2006   11:52 am
C     ARRAY DIMENSIONS.
C
C     SUBROUTINE AUTHOR:
C     TIM DURBIN
C     TIMOTHY J. DURBIN, INC.
C     5330 PRIMROSE DRIVE, SUITE 228
C     FAIR OAKS, CA 95628
C     (916) 536-2314
C
C     PURPOSE:
C     THIS FILE DEFINES THE PROGRAM'S ARRAY DIMENSIONS.
C
C     GLOBAL:
      PARAMETER (MAXNN=150000,MAXNE=400000,MAXCEL=40,MAXNE2=3*MAXNE,
     +    MAXNON=2000000,MAXSTP=100,MAXCOL=30000,MAXLAY=40)
C         MAXNN   MAXIMUM NUMBER OF NODES.
C         MAXNE   NUMBER OF WEDGE ELEMENTS.
C         MAXCEL  MAXIMUM NUMBER OF COMPARTMENTS.
C         MAXNE2  MAXIMUM NUMBER OF TETRAHEDRAL ELEMENTS.
C         MAXNON  MAXIMUM NUMBER OF NON-ZERO MATRIX COEFFICIENTS.
C         MAXSTP  MAXIMUM NUMBER OF TIME STEPS.
C         MAXCOL  MAXUMUM NUMBER OF COLUMNS FOR COLLAPSING MESH.
C         MAXLAY  MAXIMUM NUMBER OF NODES IN A COLUMN.
C
C     SPECIFIED HEADS:
      PARAMETER(MAXCHN=10,MAXTBC=10,MAXPTC=10)
C         MAXCHN  MAXIMUM NUMBER OF SPECIFIED HEAD NODES.
C         MAXTBC  MAXIMUM NUMBER OF HEAD TABLES.
C         MAXPTC  MAXIMUM NUMBER OF POINTS IN A TABLE.
C
C     SPECIFIED FLUXES:
      PARAMETER(MAXFLX=20000,MAXTBF=2000,MAXPTF=900,MAXWEL=20,
     +    MAXWND=40)
C         MAXFLX  MAXIMUM NUMBER OF FLUX NODES.
C         MAXTBF  MAXIMUM NUMBER OF NUMBER OF FLUX TABLES.
C         MAXPTF  MAXIMUM NUMBER OF POINTS IN A TABLE.
C         MAXWEL  MAXIMUM NUMBER OF WELLS.
C         MAXWND  MAXIMUM NUMBER OF NODES FOR A WELL.
C
C     GROUNDWATER EVAPOTRANSPIRATION:
      PARAMETER(MAXETN=8000,MAXTBE=2,MAXPTE=2)
C         MAXETN  MAXIMUM NUMBER OF GROUNDWATER ET NODES.
C         MAXTBE  MAXIMUM NUMBER OF ET TABLES.
C         MAXPTE  MAXIMUM NUMBNER OF POINTS IN A TABLE.
C
C     RIVER NETWORK:
      PARAMETER(MAXRCH=200,MAXLNK=160,MAXTBX=140,MAXPTX=200,
     +    MAXTBQ=100,MAXPTQ=20,MAXSWG=100)
C         MAXRCH  MAXIMUM NUMBER OF REACHES IN NETWORK.
C         MAXLNK  MAXIMUM NUMBER OF LINKS WITHIN A REACH.
C         MAXTBX  MAXIMUM NUMBER OF SECTION GEOMETRY TABLES.
C         MAXPTX  MAXIMUM NUMBER OF POINTS IN A SECTION TABLE.
C         MAXTBQ  MAXIMUM NUMBER OF INFLOW TABLES.
C         MAXPTQ  MAXIMUM NUMBER OF POINTS IN AN INFLOW TABLE.
C         MAXSWG  MAXIMUM NUMBER OF STREAMFLOW OBSERVATION POINTS.
C
C     HEAD AND SOULTE OUTPUT CONTROL:
      PARAMETER(MAXGWO=2200,MAXGWN=60)
C         MAXGWO  MAXIMUM NUMBER OF HEAD OBSERVATION POINTS.
C         MAXGWN  MAXIMUM NUMBER OF NODES FOR AN OBSERVATION POINT.
C
C     FAULTS
      PARAMETER(MAXFLN=10000,MAXFLE=30000,MAXFLL=30000,
     +    MAXTBL=10,MAXPTL=20)
C         MAXFLN  MAXIMUM NUMBER OF FAULT NODES.
C         MAXFLE  MAXIMUM NUMBER OF FAULT ELEMENTS.
C         MAXFLL  MAXIMUM NUMBER OF FAULT LINKS.
C         MAXTBL  MAXIMUM NUMBER OF PARAMETER TABLES.
C         MAXPTL  MAXIMUM NUMBER OF POINTS IN A TABLE.
C
C     ITPACK SOLVER
      PARAMETER(MAXIT=10000,MAXWKS=4*MAXNN+4*MAXIT)
C         MAXIT   MAXIMUM NUMBER OF ITERATIONS.
C         MAXWKS  MAXIMUM WORK SPACE.
